Show / Hide Table of Contents

# Class HttpHeader

Http Header object used by proxy

##### Inheritance

Object
HttpHeader

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class HttpHeader

### Constructors

#### HttpHeader(String, String)

Constructor.

##### Declaration

    public HttpHeader(string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name |
String | value |

##### Exceptions

Type | Condition
--- | ---
Exception |

### Properties

#### Name

Header Name.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
String |

#### Value

Header Value.

##### Declaration

    public string Value { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

#### ToString()

Returns header as a valid header string

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String |

##### Overrides

Object.ToString()